Summary:	Transparent and scalable SSL/TLS interception
Name:		sslsplit
Version:	0.5.5
Release:	%mkrel 6
License:	BSD
Group:		Security
Url:		http://www.roe.ch/SSLsplit
Source:		https://github.com/droe/sslsplit/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(check)
BuildRequires:	net-devel
BuildRequires:	openssl
Recommends:	iptables
Recommends:	iproute

%description
SSLsplit is a tool for man-in-the-middle attacks against SSL/TLS encrypted
network connections. Connections are transparently intercepted through a
network address translation engine and redirected to SSLsplit. SSLsplit
terminates SSL/TLS and initiates a new SSL/TLS connection to the original
destination address, while logging all data transmitted. SSLsplit is
intended to be useful for network forensics and penetration testing.

It uses Linux netfilter REDIRECT and TPROXY.

%prep
%setup -q

%build
# work around some odd build system option passing
export CFLAGS="%{optflags}"
export DEBUG_CFLAGS="%{optflags}"
%make_build

%check
# Requires a network connection
# make test

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1/
install -m 755 %{name} %{buildroot}%{_bindir}
install -m 644 %{name}.1  %{buildroot}%{_mandir}/man1/

%files 
%doc LICENSE* README.md
%{_bindir}/%{name}
%{_mandir}/*/*



%changelog
* Thu Apr 07 2022 neoclust <neoclust> 0.5.5-6.mga9
+ Revision: 1847106
- Use upstream tarball ( seems it changed )
  Fix rpmlint issues
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for openssl 3.0.0

* Sun Feb 16 2020 daviddavid <daviddavid> 0.5.5-3.mga8
+ Revision: 1532057
- rebuild for new libevent 2.1.11

* Sun Feb 16 2020 umeabot <umeabot> 0.5.5-2.mga8
+ Revision: 1531434
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 daviddavid <daviddavid> 0.5.5-1.mga8
+ Revision: 1440301
- new version: 0.5.5

* Sun Nov 11 2018 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1329489
- new version: 0.5.4

* Sun Sep 23 2018 umeabot <umeabot> 0.5.3-2.mga7
+ Revision: 1301175
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1252090
- new version: 0.5.3

* Mon Apr 23 2018 kekepower <kekepower> 0.5.2-1.mga7
+ Revision: 1221711
- Update to version 0.5.2

* Fri Aug 25 2017 guillomovitch <guillomovitch> 0.5.0-1.mga7
+ Revision: 1147836
- new version 0.5.0

* Mon Feb 13 2017 mrambo3501 <mrambo3501> 0.4.8-6.mga6
+ Revision: 1086057
- rebuild for new libevent

* Thu Mar 03 2016 umeabot <umeabot> 0.4.8-5.mga6
+ Revision: 984148
- Rebuild for openssl

* Thu Feb 04 2016 umeabot <umeabot> 0.4.8-4.mga6
+ Revision: 935161
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.8-3.mga5
+ Revision: 741875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.8-2.mga5
+ Revision: 689329
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu May 08 2014 dlucio <dlucio> 0.4.8-1.mga5
+ Revision: 621222
- imported package sslsplit


* Wed Jan 29 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.4.8-1
- Rebase to upstream 0.4.8

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.4.5-1
- Rebase to upstream 0.4.5
- Switched to usage of Github download links

* Mon Jul 30 2012 Paul Wouters <pwouters@redhat.com> - 0.4.4-4
- Disable make test, as it requires a network connection

* Sat Jul 28 2012 Paul Wouters <pwouters@redhat.com> - 0.4.4-3
- Fix permission of binary to 755

* Fri Jul 27 2012 Paul Wouters <pwouters@redhat.com> - 0.4.4-2
- Fix missing buildrequire for check-devel
- Run make check
- No need to compress man pages
- No mixing of macro styles

* Mon May 28 2012 Paul Wouters <pwouters@redhat.com> - 0.4.4-1
- Initial package
